%global commit0 0b4b03863247302dc345bfe9da99b696229af026

%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global __python %{__python3}

Name:           icestorm
Version:        0
Release:        0.1.20160904git%{shortcommit0}%{?dist}
Summary:        Lattice iCE40 FPGA bitstream creation/analysis/programming tools
License:        ISC
URL:            http://www.clifford.at/icestorm/
Source0:        https://github.com/cliffordwolf/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires:  libftdi-devel

%description
Project IceStorm aims at documenting the bitstream format of Lattice iCE40
FPGAs and providing simple tools for analyzing and creating bitstream files.

%prep
%setup -q -n %{name}-%{commit0}
# fix shebang lines in Python scripts
find . -name \*.py -exec sed -i 's|/usr/bin/env python3|/usr/bin/python3|' {} \;
# iceboxdb.py didn't even have a shebang, required since being installed in
# bindir
sed -i '1s|^|#!/usr/bin/python3\n|' icebox/iceboxdb.py

%build
make %{?_smp_mflags} \
     CFLAGS="%{optflags} -I/usr/include/libftdi1" \
     CXXFLAGS="%{optflags} -DPREFIX='\"/usr\"'" \
     LDFLAGS="$RPM_LD_FLAGS"

%install
%make_install PREFIX="%{_prefix}"
chmod +x %{buildroot}%{_bindir}/icebox.py
chmod +x %{buildroot}%{_bindir}/iceboxdb.py


%files
%doc README
%{_bindir}/*
%{_datarootdir}/icebox

%changelog
* Mon Sep 12 2016 Eric Smith <brouhaha@fedoraproject.org> 0-0.1.20160904git0b4b038
- Initial version.
